summaryrefslogtreecommitdiff
path: root/src/password-store.sh
diff options
context:
space:
mode:
authorLenz Weber <mail@lenzw.de>2015-01-28 17:36:13 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2015-01-28 17:40:25 +0100
commitf07291ba3ba1ac5bfb22474faadfd702db088af2 (patch)
tree8be9f6fe08d8e9b7720d892d0f63afff8efb7437 /src/password-store.sh
parentc1f4922e9d038102ba77eeb3e97d34d8b21c762e (diff)
downloadpass-f07291ba3ba1ac5bfb22474faadfd702db088af2.tar.gz
pass-f07291ba3ba1ac5bfb22474faadfd702db088af2.tar.bz2
pass-f07291ba3ba1ac5bfb22474faadfd702db088af2.zip
cygwin + gpg4win: convert paths to windows paths when calling gpg4win binary instead of cygwin's gpg binary
Diffstat (limited to 'src/password-store.sh')
-rwxr-xr-xsrc/password-store.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index afdaf39..c9a8f29 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -310,7 +310,7 @@ cmd_show() {
check_sneaky_paths "$path"
if [[ -f $passfile ]]; then
if [[ $clip -eq 0 ]]; then
- exec $GPG -d "${GPG_OPTS[@]}" "$passfile"
+ $GPG -d "${GPG_OPTS[@]}" "$passfile" || exit $?
else
local pass="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | head -n 1)"
[[ -n $pass ]] || exit 1
pan>Implement interactive init functionSvend Sorensen1-0/+8 2014-05-07Implement interactive rename functionSvend Sorensen1-0/+7 2014-05-07Reorder interactive function to match order of helper functionsSvend Sorensen1-13/+13 2014-05-07Make edit helper function name consistent with other helpersSvend Sorensen1-1/+1 2014-05-07Factor out password completing-read functionSvend Sorensen1-4/+8 2014-05-07Add dash to Package-RequiresSvend Sorensen1-1/+1 2014-05-06Force sane sort order.Jason A. Donenfeld1-2/+2 2014-05-06generate: add --in-place optionJason A. Donenfeld4-9/+33